MorganGenerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | RDKit::MorganFingerprint::MorganAtomInvGenerator
| Default atom invariants generator for Morgan fingerprint, generates ECFP-type invariants. More...
class | RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator
| Alternative atom invariants generator for Morgan fingerprint, generate FCFP-type invariants. More...
class | RDKit::MorganFingerprint::MorganBondInvGenerator
| Bond invariants generator for Morgan fingerprint. More...
class | RDKit::MorganFingerprint::MorganArguments< OutputType >
| Class for holding Morgan fingerprint specific arguments. More...
class | RDKit::MorganFingerprint::MorganAtomEnv< OutputType >
| Class for holding the bit-id created from Morgan fingerprint environments and the additional data necessary extra outputs. More...
class | RDKit::MorganFingerprint::MorganEnvGenerator< OutputType >
| Class that generates atom environments for Morgan fingerprint. More...

## Namespaces

| RDKit
| Std stuff.
| RDKit::MorganFingerprint

## Functions

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > *

RDKit::MorganFingerprint::getMorganGenerator (const unsigned int radius, const bool countSimulation=false, const bool includeChirality=false, const bool useBondTypes=true, const bool onlyNonzeroInvariants=false, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, BondInvariantsGenerator *bondInvariantsGenerator=nullptr, const std::uint32_t fpSize=2048, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const bool ownsAtomInvGen=false, const bool ownsBondInvGen=false)

| Get a fingerprint generator for Morgan fingerprint. More...